Get status
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/performance-calibration/status \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/performance-calibration/status"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/performance-calibration/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"available": true,
"error": "<string>",
"unsupportedProjectError": "<string>",
"options": {
"backgroundNoiseLabel": "<string>",
"otherNoiseLabels": [
"<string>"
],
"uploadKey": "<string>",
"sampleLengthMinutes": 123
}
}Get performance calibration status
GET
/
api
/
{projectId}
/
performance-calibration
/
status
Get status
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Query Parameters
Impulse ID. If this is unset then the default impulse is used.
Response
200 - application/json
OK
Whether the operation succeeded
Optional error description (set if 'success' was false)
If the current project is unsupported by performance calibration, this field explains the reason why. Otherwise, it is undefined.
Show child attributes
Show child attributes
Was this page helpful?
⌘I